//
//  AppController.m
//  CMQCBackdrop
//
//  Created by Christopher Wright on 4/23/08.
//  Copyright 2008 Christopher Wright. All rights reserved.
//

#import "AppController.h"
#import <OpenGL/CGLMacro.h>

@implementation AppController

- (void) awakeFromNib
{
	if(![preView loadCompositionFromFile:[[NSBundle mainBundle] pathForResource:@"particle" ofType:@"qtz"]]) {
		NSLog(@"Could not load composition");
	}
}


-(IBAction)fullScreen:(id)sender;
{
	

	NSScreen *screen = [[NSScreen screens] lastObject];
	NSRect winFrame = [screen frame];
	[visWindow setFrame: winFrame display: YES animate: NO];
	[visWindow setHasShadow:NO];
	[visWindow setAlphaValue:1.0];
	[visWindow setBackgroundColor:[NSColor clearColor]];
	[visWindow setOpaque:YES];
	[visWindow setDelegate:self];
	[visWindow setLevel:kCGDesktopWindowLevel];
	
	[visView loadCompositionFromFile:
	 [[NSBundle mainBundle] pathForResource:@"particle" ofType:@"qtz"]];
	[visView startRendering];
	
	// hide the cursor
	CGDisplayHideCursor (kCGDirectMainDisplay);
	
	
}

@end
